/ C library -- ioctl

/ error = ioctl(filep, command|(device<<8), arg2);

/ filep is descriptor of open character device
/ command specifies ioctl operation
/ device is a character identifying type of device (ex 't' for tty)
/ arg2 is argument for specified command and may be a pointer
/ to a string of arguments

ioctl = 54.
.globl	_ioctl, cerror

_ioctl:
	mov	r5,-(sp)
	mov	sp,r5
	mov	4(r5),r0
	mov	6(r5),0f
	mov	8(r5),0f+2
	sys	0; 9f
	bec	1f
	jmp	cerror
1:
	clr	r0
	mov	(sp)+,r5
	rts	pc
.data
9:
	sys	ioctl; 0:..; ..
